/* The side navigation menu */

.sidebar {
  margin: 0;
  padding: 10px;
  width: 280px;
  background-color: #48c9b8;
  height: 110vh;
}

/* Sidebar links */

.sidebar a {
  display: block;
  color: black;
  padding: 16px;
  text-decoration: none;
}

/* Active/current link */

.sidebar a.active {
  background-color: #73c219;
  color: white;
}

/* Links on mouse-over */

.a:hover {
  background-color: rgb(8, 8, 8);
}

/* Page content. The value of the margin-left property should match the value of the sidebar's width property */

div.content {
  padding: 1px 16px;
}

/* On screens that are less than 700px wide, make the sidebar into a topbar */

@media screen and (max-width: 992px) {
  .sidebar {
    width: 114vw;
    height: auto;
    position: relative;
    display: flex;
    justify-content: space-around;
    flex-grow: 1;
  }
  .sidebar a {
    float: left;
    flex-grow: 1;
  }
  div.content {
    margin-left: 0;
  }
}

/* On screens that are less than 400px, display the bar vertically, instead of horizontally */

@media screen and (max-width: 700px) {
  .sidebar a {
    text-align: center;
    float: none;
    width:100vw;
  }
}
